Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 467536 - =app-admin/apachetop-0.12.6-r1 fails with automake-1.13 - error: 'AM_CONFIG_HEADER': this macro is obsolete
Summary: =app-admin/apachetop-0.12.6-r1 fails with automake-1.13 - error: 'AM_CONFIG_H...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jesus Rivero (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-04-27 19:50 UTC by Ian Stakenvicius
Modified: 2013-07-09 18:34 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Stakenvicius gentoo-dev 2013-04-27 19:50:21 UTC
***** aclocal *****
***** PWD: /var/tmp/portage/app-admin/apachetop-0.12.6-r1/work/apachetop-0.12.6
***** aclocal

/usr/share/aclocal/zthread.m4:34: warning: underquoted definition of AM_PATH_ZTHREAD
/usr/share/aclocal/zthread.m4:34:   run info Automake 'Extending aclocal'
/usr/share/aclocal/zthread.m4:34:   or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
configure.ac:9: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:9: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1
Comment 1 Jesus Rivero (RETIRED) gentoo-dev 2013-07-09 18:34:42 UTC
Fixed in CVS.

+  09 Jul 2013; <neurogeek@gentoo.org> apachetop-0.12.6-r1.ebuild,
+  +files/apachetop-0.12.6-ac_config_header.patch:
+  Added patch to rename AM_CONFIG_HEADER to AC_CONFIG_HEADER. Closes bug
+  #467536
+